aboutsummaryrefslogtreecommitdiff
path: root/scripts/lua2dox_filter
diff options
context:
space:
mode:
authorJustin M. Keyes <justinkz@gmail.com>2022-09-25 13:45:41 +0200
committerJustin M. Keyes <justinkz@gmail.com>2022-09-25 14:31:33 +0200
commit1b60b5ec94001f18b70dbebf6c232c33209f11b5 (patch)
tree9a6bdfcb05511b1bdae304c1c06da252a0adaa71 /scripts/lua2dox_filter
parent3169fc54a129f6dd1c0baf2d404e50381cf48e8f (diff)
downloadrneovim-1b60b5ec94001f18b70dbebf6c232c33209f11b5.tar.gz
rneovim-1b60b5ec94001f18b70dbebf6c232c33209f11b5.tar.bz2
rneovim-1b60b5ec94001f18b70dbebf6c232c33209f11b5.zip
fix(gen_vimdoc.py): handle missing luajit
Diffstat (limited to 'scripts/lua2dox_filter')
-rwxr-xr-xscripts/lua2dox_filter7
1 files changed, 6 insertions, 1 deletions
diff --git a/scripts/lua2dox_filter b/scripts/lua2dox_filter
index 22484a807f..0b9f59b6ac 100755
--- a/scripts/lua2dox_filter
+++ b/scripts/lua2dox_filter
@@ -37,6 +37,10 @@ test_executable(){
##! \brief sets the lua interpreter
set_lua(){
if test -z "${EXE}"; then
+ test_executable '.deps/usr/bin/luajit'
+ fi
+
+ if test -z "${EXE}"; then
test_executable 'luajit'
fi
@@ -73,7 +77,8 @@ do_readlink(){
set_lua
if test -z "${EXE}"
then
- echo "no lua interpreter available"
+ echo "no lua interpreter found"
+ exit 1
else
BASENAME=`basename "$0"`
do_readlink "$0"